import ScillaComponent from 'scilla-components/src/base/ScillaComponent';
import SingleSceneNavigator from '../navigator/SingleSceneNavigator';

export default class SceneController extends ScillaComponent {
	onAwake() {
		super.onAwake();
		this.entity.children.forEach(c => c.enabled = false);
	}

	fuck(p) {
		const nav = this.entity.getComponent(SingleSceneNavigator);
		nav.push(p)
	}

	onUpdate(t) {
		super.onUpdate(t);

	}

	// fuckNavigator(p) {
	// 	console.log('fuckNavigator from SceneController', p)
	// }
}
